Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/php7-couchbase: new aport

From: Nathan Johnson <nathan_at_nathanjohnson.info>
Date: Tue, 7 Jun 2016 18:57:55 -0500

This is 2.2 beta3 release. Requires libcouchbase 2.6.0
---
 testing/php7-couchbase/APKBUILD | 38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)
 create mode 100644 testing/php7-couchbase/APKBUILD
diff --git a/testing/php7-couchbase/APKBUILD b/testing/php7-couchbase/APKBUILD
new file mode 100644
index 0000000..e948431
--- /dev/null
+++ b/testing/php7-couchbase/APKBUILD
_at_@ -0,0 +1,38 @@
+# Contributor: Nathan Johnson <nathan_at_nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan_at_nathanjohnson.info>
+pkgname=php7-couchbase
+_pkgreal=couchbase
+pkgver=2.2.0_beta3
+_pkgrealver=${pkgver/_/}
+pkgrel=0
+pkgdesc="PHP extension couchbase"
+url="http://pecl.php.net/package/$_pkgreal"
+arch="all"
+license="ASL 2.0"
+depends=
+pecldepends="php7-dev autoconf"
+makedepends="$pecldepends libcouchbase-dev zlib-dev"
+install=""
+subpackages=""
+source="${pkgname}-${pkgver}.tgz::http://pecl.php.net/get/${_pkgreal}-${_pkgrealver}.tgz"
+
+_builddir="$srcdir"/$_pkgreal-$_pkgrealver
+
+build() {
+	cd "$_builddir"
+	phpize7 || return 1
+	./configure --prefix=/usr --with-php-config=/usr/bin/php-config7 || return 1
+	make || return 1
+	make test || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make INSTALL_ROOT="$pkgdir"/ install || return 1
+	install -d "$pkgdir"/etc/php5/conf.d || return 1
+	echo "extension=$_pkgreal.so" > "$pkgdir"/etc/php5/conf.d/$_pkgreal.ini
+}
+
+md5sums="0fec7a685d44948921c48167dffd0d35  php7-couchbase-2.2.0_beta3.tgz"
+sha256sums="f1f73f57790628b4839f1e8a8ee97f40eb19b7e17d6de8462991dc6188d35d36  php7-couchbase-2.2.0_beta3.tgz"
+sha512sums="c80cef205b9fb957f9a5be42a92a749c8ce7dfd4d01638be2441e84e9eb454cf4b28266591378ad07ac7004e798175cdf2455da46d688f702a643705bc7276ea  php7-couchbase-2.2.0_beta3.tgz"
-- 
2.8.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Tue Jun 07 2016 - 18:57:55 GMT